<?php

require_once "../lib/FrameworkTest.php";

class ComposerRun extends FrameworkTest{
    public function __construct(){
        parent::__construct();
        header("Content-type: text/json");
    }
    
    public function test(){
        $returnCode = -VAL_INT_1;
        $output = [];
        
        exec("composer --version 2>&1", $output, $returnCode);
     
        $result = [
            "returnCode" => $returnCode,
            "commandOutput" => $output
        ];
        
        print_r($result);
    }
    
}

$comp = new ComposerRun();
$comp -> test();